package types

/*
	Интерфейс к параметрам танка
*/

// ITankStat -- интерфейс к статистике танка
type ITankStat interface {
	// Attack -- возвращает силу атаки
	Attack() IStatParam
	// Armor -- возвращает броню танка
	Armor() IStatParam
	// Fyne -- возвращает точность танка
	Fyne() IStatParam
	// Hard -- возвращает прочность танка
	Hard() IStatParam
	// Power -- возвращает мощность танка
	Power() IStatParam
	// Force -- устанавливает форсирование параметра
	Force() IStatParam
}
